;Graphic Memory provides a Background Buffer, Screen Buffer, Background Blocks, Sprites and Tables

;The background buffer is not scrolled but instead 2 synchronised pointers(StartRow and EndRow) cycle
;upwards within(Copying the data to the ScreenBuffer) with the new row graphics being inserted (2 rows
;at a time) into the two rows above StartRow.

;Enemy, Hero and flak sprites are then placed on the ScreenBuffer masked against the BackgroundBuffer.
;However All sprites observe inversed data within the Background and inverse sprite bytes that overlay
;them.

;The ScreenBuffer is then copied to HIRES.

;The Background and Screen Buffers are 28x96 Bytes
;The Map is 7x128 Bytes
;The Graphic Blocks are 24(4)x24 Pixels

;Craters and the general destruction of the background occurs on the existing background buffer plotting
;the crater or other graphic directly but still based on StartRow and cyclic behaviour of this buffer.
BGBuffer
 .dsb 20*138,64
 
BGBufferRowAddressLo
 .byt <BGBuffer
 .byt <BGBuffer+20*1
 .byt <BGBuffer+20*2
 .byt <BGBuffer+20*3
 .byt <BGBuffer+20*4
 .byt <BGBuffer+20*5
 .byt <BGBuffer+20*6
 .byt <BGBuffer+20*7
 .byt <BGBuffer+20*8
 .byt <BGBuffer+20*9
 .byt <BGBuffer+20*10
 .byt <BGBuffer+20*11
 .byt <BGBuffer+20*12
 .byt <BGBuffer+20*13
 .byt <BGBuffer+20*14
 .byt <BGBuffer+20*15
 .byt <BGBuffer+20*16
 .byt <BGBuffer+20*17
 .byt <BGBuffer+20*18
 .byt <BGBuffer+20*19
 .byt <BGBuffer+20*20
 .byt <BGBuffer+20*21
 .byt <BGBuffer+20*22
 .byt <BGBuffer+20*23
 .byt <BGBuffer+20*24
 .byt <BGBuffer+20*25
 .byt <BGBuffer+20*26
 .byt <BGBuffer+20*27
 .byt <BGBuffer+20*28
 .byt <BGBuffer+20*29
 .byt <BGBuffer+20*30
 .byt <BGBuffer+20*31
 .byt <BGBuffer+20*32
 .byt <BGBuffer+20*33
 .byt <BGBuffer+20*34
 .byt <BGBuffer+20*35
 .byt <BGBuffer+20*36
 .byt <BGBuffer+20*37
 .byt <BGBuffer+20*38
 .byt <BGBuffer+20*39
 .byt <BGBuffer+20*40
 .byt <BGBuffer+20*41
 .byt <BGBuffer+20*42
 .byt <BGBuffer+20*43
 .byt <BGBuffer+20*44
 .byt <BGBuffer+20*45
 .byt <BGBuffer+20*46
 .byt <BGBuffer+20*47
 .byt <BGBuffer+20*48
 .byt <BGBuffer+20*49
 .byt <BGBuffer+20*50
 .byt <BGBuffer+20*51
 .byt <BGBuffer+20*52
 .byt <BGBuffer+20*53
 .byt <BGBuffer+20*54
 .byt <BGBuffer+20*55
 .byt <BGBuffer+20*56
 .byt <BGBuffer+20*57
 .byt <BGBuffer+20*58
 .byt <BGBuffer+20*59
 .byt <BGBuffer+20*60
 .byt <BGBuffer+20*61
 .byt <BGBuffer+20*62
 .byt <BGBuffer+20*63
 .byt <BGBuffer+20*64
 .byt <BGBuffer+20*65
 .byt <BGBuffer+20*66
 .byt <BGBuffer+20*67
 .byt <BGBuffer+20*68
 .byt <BGBuffer+20*69
 .byt <BGBuffer+20*70
 .byt <BGBuffer+20*71
 .byt <BGBuffer+20*72
 .byt <BGBuffer+20*73
 .byt <BGBuffer+20*74
 .byt <BGBuffer+20*75
 .byt <BGBuffer+20*76
 .byt <BGBuffer+20*77
 .byt <BGBuffer+20*78
 .byt <BGBuffer+20*79
 .byt <BGBuffer+20*80
 .byt <BGBuffer+20*81
 .byt <BGBuffer+20*82
 .byt <BGBuffer+20*83
 .byt <BGBuffer+20*84
 .byt <BGBuffer+20*85
 .byt <BGBuffer+20*86
 .byt <BGBuffer+20*87
 .byt <BGBuffer+20*88
 .byt <BGBuffer+20*89
 .byt <BGBuffer+20*90
 .byt <BGBuffer+20*91
 .byt <BGBuffer+20*92
 .byt <BGBuffer+20*93
 .byt <BGBuffer+20*94
 .byt <BGBuffer+20*95
 .byt <BGBuffer+20*96
 .byt <BGBuffer+20*97
 .byt <BGBuffer+20*98
 .byt <BGBuffer+20*99
 .byt <BGBuffer+20*100
 .byt <BGBuffer+20*101
 .byt <BGBuffer+20*102
 .byt <BGBuffer+20*103
 .byt <BGBuffer+20*104
 .byt <BGBuffer+20*105
 .byt <BGBuffer+20*106
 .byt <BGBuffer+20*107
 .byt <BGBuffer+20*108
 .byt <BGBuffer+20*109
 .byt <BGBuffer+20*110
 .byt <BGBuffer+20*111
 .byt <BGBuffer+20*112
 .byt <BGBuffer+20*113
 .byt <BGBuffer+20*114
 .byt <BGBuffer+20*115
 .byt <BGBuffer+20*116
 .byt <BGBuffer+20*117
 .byt <BGBuffer+20*118
 .byt <BGBuffer+20*119
 .byt <BGBuffer+20*120
 .byt <BGBuffer+20*121
 .byt <BGBuffer+20*122
 .byt <BGBuffer+20*123
 .byt <BGBuffer+20*124
 .byt <BGBuffer+20*125
 .byt <BGBuffer+20*126
 .byt <BGBuffer+20*127
 .byt <BGBuffer+20*128
 .byt <BGBuffer+20*129
 .byt <BGBuffer+20*130
 .byt <BGBuffer+20*131
 .byt <BGBuffer+20*132
 .byt <BGBuffer+20*133
 .byt <BGBuffer+20*134
 .byt <BGBuffer+20*135
 .byt <BGBuffer+20*136
 .byt <BGBuffer+20*137

BGBufferRowAddressHi
 .byt >BGBuffer
 .byt >BGBuffer+20*1
 .byt >BGBuffer+20*2
 .byt >BGBuffer+20*3
 .byt >BGBuffer+20*4
 .byt >BGBuffer+20*5
 .byt >BGBuffer+20*6
 .byt >BGBuffer+20*7
 .byt >BGBuffer+20*8
 .byt >BGBuffer+20*9
 .byt >BGBuffer+20*10
 .byt >BGBuffer+20*11
 .byt >BGBuffer+20*12
 .byt >BGBuffer+20*13
 .byt >BGBuffer+20*14
 .byt >BGBuffer+20*15
 .byt >BGBuffer+20*16
 .byt >BGBuffer+20*17
 .byt >BGBuffer+20*18
 .byt >BGBuffer+20*19
 .byt >BGBuffer+20*20
 .byt >BGBuffer+20*21
 .byt >BGBuffer+20*22
 .byt >BGBuffer+20*23
 .byt >BGBuffer+20*24
 .byt >BGBuffer+20*25
 .byt >BGBuffer+20*26
 .byt >BGBuffer+20*27
 .byt >BGBuffer+20*28
 .byt >BGBuffer+20*29
 .byt >BGBuffer+20*30
 .byt >BGBuffer+20*31
 .byt >BGBuffer+20*32
 .byt >BGBuffer+20*33
 .byt >BGBuffer+20*34
 .byt >BGBuffer+20*35
 .byt >BGBuffer+20*36
 .byt >BGBuffer+20*37
 .byt >BGBuffer+20*38
 .byt >BGBuffer+20*39
 .byt >BGBuffer+20*40
 .byt >BGBuffer+20*41
 .byt >BGBuffer+20*42
 .byt >BGBuffer+20*43
 .byt >BGBuffer+20*44
 .byt >BGBuffer+20*45
 .byt >BGBuffer+20*46
 .byt >BGBuffer+20*47
 .byt >BGBuffer+20*48
 .byt >BGBuffer+20*49
 .byt >BGBuffer+20*50
 .byt >BGBuffer+20*51
 .byt >BGBuffer+20*52
 .byt >BGBuffer+20*53
 .byt >BGBuffer+20*54
 .byt >BGBuffer+20*55
 .byt >BGBuffer+20*56
 .byt >BGBuffer+20*57
 .byt >BGBuffer+20*58
 .byt >BGBuffer+20*59
 .byt >BGBuffer+20*60
 .byt >BGBuffer+20*61
 .byt >BGBuffer+20*62
 .byt >BGBuffer+20*63
 .byt >BGBuffer+20*64
 .byt >BGBuffer+20*65
 .byt >BGBuffer+20*66
 .byt >BGBuffer+20*67
 .byt >BGBuffer+20*68
 .byt >BGBuffer+20*69
 .byt >BGBuffer+20*70
 .byt >BGBuffer+20*71
 .byt >BGBuffer+20*72
 .byt >BGBuffer+20*73
 .byt >BGBuffer+20*74
 .byt >BGBuffer+20*75
 .byt >BGBuffer+20*76
 .byt >BGBuffer+20*77
 .byt >BGBuffer+20*78
 .byt >BGBuffer+20*79
 .byt >BGBuffer+20*80
 .byt >BGBuffer+20*81
 .byt >BGBuffer+20*82
 .byt >BGBuffer+20*83
 .byt >BGBuffer+20*84
 .byt >BGBuffer+20*85
 .byt >BGBuffer+20*86
 .byt >BGBuffer+20*87
 .byt >BGBuffer+20*88
 .byt >BGBuffer+20*89
 .byt >BGBuffer+20*90
 .byt >BGBuffer+20*91
 .byt >BGBuffer+20*92
 .byt >BGBuffer+20*93
 .byt >BGBuffer+20*94
 .byt >BGBuffer+20*95
 .byt >BGBuffer+20*96
 .byt >BGBuffer+20*97
 .byt >BGBuffer+20*98
 .byt >BGBuffer+20*99
 .byt >BGBuffer+20*100
 .byt >BGBuffer+20*101
 .byt >BGBuffer+20*102
 .byt >BGBuffer+20*103
 .byt >BGBuffer+20*104
 .byt >BGBuffer+20*105
 .byt >BGBuffer+20*106
 .byt >BGBuffer+20*107
 .byt >BGBuffer+20*108
 .byt >BGBuffer+20*109
 .byt >BGBuffer+20*110
 .byt >BGBuffer+20*111
 .byt >BGBuffer+20*112
 .byt >BGBuffer+20*113
 .byt >BGBuffer+20*114
 .byt >BGBuffer+20*115
 .byt >BGBuffer+20*116
 .byt >BGBuffer+20*117
 .byt >BGBuffer+20*118
 .byt >BGBuffer+20*119
 .byt >BGBuffer+20*120
 .byt >BGBuffer+20*121
 .byt >BGBuffer+20*122
 .byt >BGBuffer+20*123
 .byt >BGBuffer+20*124
 .byt >BGBuffer+20*125
 .byt >BGBuffer+20*126
 .byt >BGBuffer+20*127
 .byt >BGBuffer+20*128
 .byt >BGBuffer+20*129
 .byt >BGBuffer+20*130
 .byt >BGBuffer+20*131
 .byt >BGBuffer+20*132
 .byt >BGBuffer+20*133
 .byt >BGBuffer+20*134
 .byt >BGBuffer+20*135
 .byt >BGBuffer+20*136
 .byt >BGBuffer+20*137

ScreenBuffer
 .dsb 24*158,64

ScreenBufferRowAddressLo
 .byt <ScreenBuffer
 .byt <ScreenBuffer+24*1
 .byt <ScreenBuffer+24*2
 .byt <ScreenBuffer+24*3
 .byt <ScreenBuffer+24*4
 .byt <ScreenBuffer+24*5
 .byt <ScreenBuffer+24*6
 .byt <ScreenBuffer+24*7
 .byt <ScreenBuffer+24*8
 .byt <ScreenBuffer+24*9
 .byt <ScreenBuffer+24*10
 .byt <ScreenBuffer+24*11
 .byt <ScreenBuffer+24*12
 .byt <ScreenBuffer+24*13
 .byt <ScreenBuffer+24*14
 .byt <ScreenBuffer+24*15
 .byt <ScreenBuffer+24*16
 .byt <ScreenBuffer+24*17
 .byt <ScreenBuffer+24*18
 .byt <ScreenBuffer+24*19
 .byt <ScreenBuffer+24*20
 .byt <ScreenBuffer+24*21
 .byt <ScreenBuffer+24*22
 .byt <ScreenBuffer+24*23
 .byt <ScreenBuffer+24*24
 .byt <ScreenBuffer+24*25
 .byt <ScreenBuffer+24*26
 .byt <ScreenBuffer+24*27
 .byt <ScreenBuffer+24*28
 .byt <ScreenBuffer+24*29
 .byt <ScreenBuffer+24*30
 .byt <ScreenBuffer+24*31
 .byt <ScreenBuffer+24*32
 .byt <ScreenBuffer+24*33
 .byt <ScreenBuffer+24*34
 .byt <ScreenBuffer+24*35
 .byt <ScreenBuffer+24*36
 .byt <ScreenBuffer+24*37
 .byt <ScreenBuffer+24*38
 .byt <ScreenBuffer+24*39
 .byt <ScreenBuffer+24*40
 .byt <ScreenBuffer+24*41
 .byt <ScreenBuffer+24*42
 .byt <ScreenBuffer+24*43
 .byt <ScreenBuffer+24*44
 .byt <ScreenBuffer+24*45
 .byt <ScreenBuffer+24*46
 .byt <ScreenBuffer+24*47
 .byt <ScreenBuffer+24*48
 .byt <ScreenBuffer+24*49
 .byt <ScreenBuffer+24*50
 .byt <ScreenBuffer+24*51
 .byt <ScreenBuffer+24*52
 .byt <ScreenBuffer+24*53
 .byt <ScreenBuffer+24*54
 .byt <ScreenBuffer+24*55
 .byt <ScreenBuffer+24*56
 .byt <ScreenBuffer+24*57
 .byt <ScreenBuffer+24*58
 .byt <ScreenBuffer+24*59
 .byt <ScreenBuffer+24*60
 .byt <ScreenBuffer+24*61
 .byt <ScreenBuffer+24*62
 .byt <ScreenBuffer+24*63
 .byt <ScreenBuffer+24*64
 .byt <ScreenBuffer+24*65
 .byt <ScreenBuffer+24*66
 .byt <ScreenBuffer+24*67
 .byt <ScreenBuffer+24*68
 .byt <ScreenBuffer+24*69
 .byt <ScreenBuffer+24*70
 .byt <ScreenBuffer+24*71
 .byt <ScreenBuffer+24*72
 .byt <ScreenBuffer+24*73
 .byt <ScreenBuffer+24*74
 .byt <ScreenBuffer+24*75
 .byt <ScreenBuffer+24*76
 .byt <ScreenBuffer+24*77
 .byt <ScreenBuffer+24*78
 .byt <ScreenBuffer+24*79
 .byt <ScreenBuffer+24*80
 .byt <ScreenBuffer+24*81
 .byt <ScreenBuffer+24*82
 .byt <ScreenBuffer+24*83
 .byt <ScreenBuffer+24*84
 .byt <ScreenBuffer+24*85
 .byt <ScreenBuffer+24*86
 .byt <ScreenBuffer+24*87
 .byt <ScreenBuffer+24*88
 .byt <ScreenBuffer+24*89
 .byt <ScreenBuffer+24*90
 .byt <ScreenBuffer+24*91
 .byt <ScreenBuffer+24*92
 .byt <ScreenBuffer+24*93
 .byt <ScreenBuffer+24*94
 .byt <ScreenBuffer+24*95
 .byt <ScreenBuffer+24*96
 .byt <ScreenBuffer+24*97
 .byt <ScreenBuffer+24*98
 .byt <ScreenBuffer+24*99
 .byt <ScreenBuffer+24*100
 .byt <ScreenBuffer+24*101
 .byt <ScreenBuffer+24*102
 .byt <ScreenBuffer+24*103
 .byt <ScreenBuffer+24*104
 .byt <ScreenBuffer+24*105
 .byt <ScreenBuffer+24*106
 .byt <ScreenBuffer+24*107
 .byt <ScreenBuffer+24*108
 .byt <ScreenBuffer+24*109
 .byt <ScreenBuffer+24*110
 .byt <ScreenBuffer+24*111
 .byt <ScreenBuffer+24*112
 .byt <ScreenBuffer+24*113
 .byt <ScreenBuffer+24*114
 .byt <ScreenBuffer+24*115
 .byt <ScreenBuffer+24*116
 .byt <ScreenBuffer+24*117
 .byt <ScreenBuffer+24*118
 .byt <ScreenBuffer+24*119
 .byt <ScreenBuffer+24*120
 .byt <ScreenBuffer+24*121
 .byt <ScreenBuffer+24*122
 .byt <ScreenBuffer+24*123
 .byt <ScreenBuffer+24*124
 .byt <ScreenBuffer+24*125
 .byt <ScreenBuffer+24*126
 .byt <ScreenBuffer+24*127
 .byt <ScreenBuffer+24*128
 .byt <ScreenBuffer+24*129
 .byt <ScreenBuffer+24*130
 .byt <ScreenBuffer+24*131
 .byt <ScreenBuffer+24*132
 .byt <ScreenBuffer+24*133
 .byt <ScreenBuffer+24*134
 .byt <ScreenBuffer+24*135
 .byt <ScreenBuffer+24*136
 .byt <ScreenBuffer+24*137
 .byt <ScreenBuffer+24*138
 .byt <ScreenBuffer+24*139
 .byt <ScreenBuffer+24*140
 .byt <ScreenBuffer+24*141
 .byt <ScreenBuffer+24*142
 .byt <ScreenBuffer+24*143
 .byt <ScreenBuffer+24*144
 .byt <ScreenBuffer+24*145
 .byt <ScreenBuffer+24*146
 .byt <ScreenBuffer+24*147
 .byt <ScreenBuffer+24*148
 .byt <ScreenBuffer+24*149
 .byt <ScreenBuffer+24*150
 .byt <ScreenBuffer+24*151
 .byt <ScreenBuffer+24*152
 .byt <ScreenBuffer+24*153
 .byt <ScreenBuffer+24*154
 .byt <ScreenBuffer+24*155
 .byt <ScreenBuffer+24*156
 .byt <ScreenBuffer+24*157

ScreenBufferRowAddressHi
 .byt >ScreenBuffer
 .byt >ScreenBuffer+24*1
 .byt >ScreenBuffer+24*2
 .byt >ScreenBuffer+24*3
 .byt >ScreenBuffer+24*4
 .byt >ScreenBuffer+24*5
 .byt >ScreenBuffer+24*6
 .byt >ScreenBuffer+24*7
 .byt >ScreenBuffer+24*8
 .byt >ScreenBuffer+24*9
 .byt >ScreenBuffer+24*10
 .byt >ScreenBuffer+24*11
 .byt >ScreenBuffer+24*12
 .byt >ScreenBuffer+24*13
 .byt >ScreenBuffer+24*14
 .byt >ScreenBuffer+24*15
 .byt >ScreenBuffer+24*16
 .byt >ScreenBuffer+24*17
 .byt >ScreenBuffer+24*18
 .byt >ScreenBuffer+24*19
 .byt >ScreenBuffer+24*20
 .byt >ScreenBuffer+24*21
 .byt >ScreenBuffer+24*22
 .byt >ScreenBuffer+24*23
 .byt >ScreenBuffer+24*24
 .byt >ScreenBuffer+24*25
 .byt >ScreenBuffer+24*26
 .byt >ScreenBuffer+24*27
 .byt >ScreenBuffer+24*28
 .byt >ScreenBuffer+24*29
 .byt >ScreenBuffer+24*30
 .byt >ScreenBuffer+24*31
 .byt >ScreenBuffer+24*32
 .byt >ScreenBuffer+24*33
 .byt >ScreenBuffer+24*34
 .byt >ScreenBuffer+24*35
 .byt >ScreenBuffer+24*36
 .byt >ScreenBuffer+24*37
 .byt >ScreenBuffer+24*38
 .byt >ScreenBuffer+24*39
 .byt >ScreenBuffer+24*40
 .byt >ScreenBuffer+24*41
 .byt >ScreenBuffer+24*42
 .byt >ScreenBuffer+24*43
 .byt >ScreenBuffer+24*44
 .byt >ScreenBuffer+24*45
 .byt >ScreenBuffer+24*46
 .byt >ScreenBuffer+24*47
 .byt >ScreenBuffer+24*48
 .byt >ScreenBuffer+24*49
 .byt >ScreenBuffer+24*50
 .byt >ScreenBuffer+24*51
 .byt >ScreenBuffer+24*52
 .byt >ScreenBuffer+24*53
 .byt >ScreenBuffer+24*54
 .byt >ScreenBuffer+24*55
 .byt >ScreenBuffer+24*56
 .byt >ScreenBuffer+24*57
 .byt >ScreenBuffer+24*58
 .byt >ScreenBuffer+24*59
 .byt >ScreenBuffer+24*60
 .byt >ScreenBuffer+24*61
 .byt >ScreenBuffer+24*62
 .byt >ScreenBuffer+24*63
 .byt >ScreenBuffer+24*64
 .byt >ScreenBuffer+24*65
 .byt >ScreenBuffer+24*66
 .byt >ScreenBuffer+24*67
 .byt >ScreenBuffer+24*68
 .byt >ScreenBuffer+24*69
 .byt >ScreenBuffer+24*70
 .byt >ScreenBuffer+24*71
 .byt >ScreenBuffer+24*72
 .byt >ScreenBuffer+24*73
 .byt >ScreenBuffer+24*74
 .byt >ScreenBuffer+24*75
 .byt >ScreenBuffer+24*76
 .byt >ScreenBuffer+24*77
 .byt >ScreenBuffer+24*78
 .byt >ScreenBuffer+24*79
 .byt >ScreenBuffer+24*80
 .byt >ScreenBuffer+24*81
 .byt >ScreenBuffer+24*82
 .byt >ScreenBuffer+24*83
 .byt >ScreenBuffer+24*84
 .byt >ScreenBuffer+24*85
 .byt >ScreenBuffer+24*86
 .byt >ScreenBuffer+24*87
 .byt >ScreenBuffer+24*88
 .byt >ScreenBuffer+24*89
 .byt >ScreenBuffer+24*90
 .byt >ScreenBuffer+24*91
 .byt >ScreenBuffer+24*92
 .byt >ScreenBuffer+24*93
 .byt >ScreenBuffer+24*94
 .byt >ScreenBuffer+24*95
 .byt >ScreenBuffer+24*96
 .byt >ScreenBuffer+24*97
 .byt >ScreenBuffer+24*98
 .byt >ScreenBuffer+24*99
 .byt >ScreenBuffer+24*100
 .byt >ScreenBuffer+24*101
 .byt >ScreenBuffer+24*102
 .byt >ScreenBuffer+24*103
 .byt >ScreenBuffer+24*104
 .byt >ScreenBuffer+24*105
 .byt >ScreenBuffer+24*106
 .byt >ScreenBuffer+24*107
 .byt >ScreenBuffer+24*108
 .byt >ScreenBuffer+24*109
 .byt >ScreenBuffer+24*110
 .byt >ScreenBuffer+24*111
 .byt >ScreenBuffer+24*112
 .byt >ScreenBuffer+24*113
 .byt >ScreenBuffer+24*114
 .byt >ScreenBuffer+24*115
 .byt >ScreenBuffer+24*116
 .byt >ScreenBuffer+24*117
 .byt >ScreenBuffer+24*118
 .byt >ScreenBuffer+24*119
 .byt >ScreenBuffer+24*120
 .byt >ScreenBuffer+24*121
 .byt >ScreenBuffer+24*122
 .byt >ScreenBuffer+24*123
 .byt >ScreenBuffer+24*124
 .byt >ScreenBuffer+24*125
 .byt >ScreenBuffer+24*126
 .byt >ScreenBuffer+24*127
 .byt >ScreenBuffer+24*128
 .byt >ScreenBuffer+24*129
 .byt >ScreenBuffer+24*130
 .byt >ScreenBuffer+24*131
 .byt >ScreenBuffer+24*132
 .byt >ScreenBuffer+24*133
 .byt >ScreenBuffer+24*134
 .byt >ScreenBuffer+24*135
 .byt >ScreenBuffer+24*136
 .byt >ScreenBuffer+24*137
 .byt >ScreenBuffer+24*138
 .byt >ScreenBuffer+24*139
 .byt >ScreenBuffer+24*140
 .byt >ScreenBuffer+24*141
 .byt >ScreenBuffer+24*142
 .byt >ScreenBuffer+24*143
 .byt >ScreenBuffer+24*144
 .byt >ScreenBuffer+24*145
 .byt >ScreenBuffer+24*146
 .byt >ScreenBuffer+24*147
 .byt >ScreenBuffer+24*148
 .byt >ScreenBuffer+24*149
 .byt >ScreenBuffer+24*150
 .byt >ScreenBuffer+24*151
 .byt >ScreenBuffer+24*152
 .byt >ScreenBuffer+24*153
 .byt >ScreenBuffer+24*154
 .byt >ScreenBuffer+24*155
 .byt >ScreenBuffer+24*156
 .byt >ScreenBuffer+24*157

ScreenBufferWindowRowAddressLo
 .byt <ScreenBuffer+2+24*12
 .byt <ScreenBuffer+2+24*13
 .byt <ScreenBuffer+2+24*14
 .byt <ScreenBuffer+2+24*15
 .byt <ScreenBuffer+2+24*16
 .byt <ScreenBuffer+2+24*17
 .byt <ScreenBuffer+2+24*18
 .byt <ScreenBuffer+2+24*19
 .byt <ScreenBuffer+2+24*20
 .byt <ScreenBuffer+2+24*21
 .byt <ScreenBuffer+2+24*22
 .byt <ScreenBuffer+2+24*23
 .byt <ScreenBuffer+2+24*24
 .byt <ScreenBuffer+2+24*25
 .byt <ScreenBuffer+2+24*26
 .byt <ScreenBuffer+2+24*27
 .byt <ScreenBuffer+2+24*28
 .byt <ScreenBuffer+2+24*29
 .byt <ScreenBuffer+2+24*30
 .byt <ScreenBuffer+2+24*31
 .byt <ScreenBuffer+2+24*32
 .byt <ScreenBuffer+2+24*33
 .byt <ScreenBuffer+2+24*34
 .byt <ScreenBuffer+2+24*35
 .byt <ScreenBuffer+2+24*36
 .byt <ScreenBuffer+2+24*37
 .byt <ScreenBuffer+2+24*38
 .byt <ScreenBuffer+2+24*39
 .byt <ScreenBuffer+2+24*40
 .byt <ScreenBuffer+2+24*41
 .byt <ScreenBuffer+2+24*42
 .byt <ScreenBuffer+2+24*43
 .byt <ScreenBuffer+2+24*44
 .byt <ScreenBuffer+2+24*45
 .byt <ScreenBuffer+2+24*46
 .byt <ScreenBuffer+2+24*47
 .byt <ScreenBuffer+2+24*48
 .byt <ScreenBuffer+2+24*49
 .byt <ScreenBuffer+2+24*50
 .byt <ScreenBuffer+2+24*51
 .byt <ScreenBuffer+2+24*52
 .byt <ScreenBuffer+2+24*53
 .byt <ScreenBuffer+2+24*54
 .byt <ScreenBuffer+2+24*55
 .byt <ScreenBuffer+2+24*56
 .byt <ScreenBuffer+2+24*57
 .byt <ScreenBuffer+2+24*58
 .byt <ScreenBuffer+2+24*59
 .byt <ScreenBuffer+2+24*60
 .byt <ScreenBuffer+2+24*61
 .byt <ScreenBuffer+2+24*62
 .byt <ScreenBuffer+2+24*63
 .byt <ScreenBuffer+2+24*64
 .byt <ScreenBuffer+2+24*65
 .byt <ScreenBuffer+2+24*66
 .byt <ScreenBuffer+2+24*67
 .byt <ScreenBuffer+2+24*68
 .byt <ScreenBuffer+2+24*69
 .byt <ScreenBuffer+2+24*70
 .byt <ScreenBuffer+2+24*71
 .byt <ScreenBuffer+2+24*72
 .byt <ScreenBuffer+2+24*73
 .byt <ScreenBuffer+2+24*74
 .byt <ScreenBuffer+2+24*75
 .byt <ScreenBuffer+2+24*76
 .byt <ScreenBuffer+2+24*77
 .byt <ScreenBuffer+2+24*78
 .byt <ScreenBuffer+2+24*79
 .byt <ScreenBuffer+2+24*80
 .byt <ScreenBuffer+2+24*81
 .byt <ScreenBuffer+2+24*82
 .byt <ScreenBuffer+2+24*83
 .byt <ScreenBuffer+2+24*84
 .byt <ScreenBuffer+2+24*85
 .byt <ScreenBuffer+2+24*86
 .byt <ScreenBuffer+2+24*87
 .byt <ScreenBuffer+2+24*88
 .byt <ScreenBuffer+2+24*89
 .byt <ScreenBuffer+2+24*90
 .byt <ScreenBuffer+2+24*91
 .byt <ScreenBuffer+2+24*92
 .byt <ScreenBuffer+2+24*93
 .byt <ScreenBuffer+2+24*94
 .byt <ScreenBuffer+2+24*95
 .byt <ScreenBuffer+2+24*96
 .byt <ScreenBuffer+2+24*97
 .byt <ScreenBuffer+2+24*98
 .byt <ScreenBuffer+2+24*99
 .byt <ScreenBuffer+2+24*100
 .byt <ScreenBuffer+2+24*101
 .byt <ScreenBuffer+2+24*102
 .byt <ScreenBuffer+2+24*103
 .byt <ScreenBuffer+2+24*104
 .byt <ScreenBuffer+2+24*105
 .byt <ScreenBuffer+2+24*106
 .byt <ScreenBuffer+2+24*107
 .byt <ScreenBuffer+2+24*108
 .byt <ScreenBuffer+2+24*109
 .byt <ScreenBuffer+2+24*110
 .byt <ScreenBuffer+2+24*111
 .byt <ScreenBuffer+2+24*112
 .byt <ScreenBuffer+2+24*113
 .byt <ScreenBuffer+2+24*114
 .byt <ScreenBuffer+2+24*115
 .byt <ScreenBuffer+2+24*116
 .byt <ScreenBuffer+2+24*117
 .byt <ScreenBuffer+2+24*118
 .byt <ScreenBuffer+2+24*119
 .byt <ScreenBuffer+2+24*120
 .byt <ScreenBuffer+2+24*121
 .byt <ScreenBuffer+2+24*122
 .byt <ScreenBuffer+2+24*123
 .byt <ScreenBuffer+2+24*124
 .byt <ScreenBuffer+2+24*125
 .byt <ScreenBuffer+2+24*126
 .byt <ScreenBuffer+2+24*127
 .byt <ScreenBuffer+2+24*128
 .byt <ScreenBuffer+2+24*129
 .byt <ScreenBuffer+2+24*130
 .byt <ScreenBuffer+2+24*131
 .byt <ScreenBuffer+2+24*132
 .byt <ScreenBuffer+2+24*133
 .byt <ScreenBuffer+2+24*134
 .byt <ScreenBuffer+2+24*135
 .byt <ScreenBuffer+2+24*136
 .byt <ScreenBuffer+2+24*137
 .byt <ScreenBuffer+2+24*138
 .byt <ScreenBuffer+2+24*139
 .byt <ScreenBuffer+2+24*140
 .byt <ScreenBuffer+2+24*141
 .byt <ScreenBuffer+2+24*142
 .byt <ScreenBuffer+2+24*143
 .byt <ScreenBuffer+2+24*144
 .byt <ScreenBuffer+2+24*145

ScreenBufferWindowRowAddressHi
 .byt >ScreenBuffer+2+24*12
 .byt >ScreenBuffer+2+24*13
 .byt >ScreenBuffer+2+24*14
 .byt >ScreenBuffer+2+24*15
 .byt >ScreenBuffer+2+24*16
 .byt >ScreenBuffer+2+24*17
 .byt >ScreenBuffer+2+24*18
 .byt >ScreenBuffer+2+24*19
 .byt >ScreenBuffer+2+24*20
 .byt >ScreenBuffer+2+24*21
 .byt >ScreenBuffer+2+24*22
 .byt >ScreenBuffer+2+24*23
 .byt >ScreenBuffer+2+24*24
 .byt >ScreenBuffer+2+24*25
 .byt >ScreenBuffer+2+24*26
 .byt >ScreenBuffer+2+24*27
 .byt >ScreenBuffer+2+24*28
 .byt >ScreenBuffer+2+24*29
 .byt >ScreenBuffer+2+24*30
 .byt >ScreenBuffer+2+24*31
 .byt >ScreenBuffer+2+24*32
 .byt >ScreenBuffer+2+24*33
 .byt >ScreenBuffer+2+24*34
 .byt >ScreenBuffer+2+24*35
 .byt >ScreenBuffer+2+24*36
 .byt >ScreenBuffer+2+24*37
 .byt >ScreenBuffer+2+24*38
 .byt >ScreenBuffer+2+24*39
 .byt >ScreenBuffer+2+24*40
 .byt >ScreenBuffer+2+24*41
 .byt >ScreenBuffer+2+24*42
 .byt >ScreenBuffer+2+24*43
 .byt >ScreenBuffer+2+24*44
 .byt >ScreenBuffer+2+24*45
 .byt >ScreenBuffer+2+24*46
 .byt >ScreenBuffer+2+24*47
 .byt >ScreenBuffer+2+24*48
 .byt >ScreenBuffer+2+24*49
 .byt >ScreenBuffer+2+24*50
 .byt >ScreenBuffer+2+24*51
 .byt >ScreenBuffer+2+24*52
 .byt >ScreenBuffer+2+24*53
 .byt >ScreenBuffer+2+24*54
 .byt >ScreenBuffer+2+24*55
 .byt >ScreenBuffer+2+24*56
 .byt >ScreenBuffer+2+24*57
 .byt >ScreenBuffer+2+24*58
 .byt >ScreenBuffer+2+24*59
 .byt >ScreenBuffer+2+24*60
 .byt >ScreenBuffer+2+24*61
 .byt >ScreenBuffer+2+24*62
 .byt >ScreenBuffer+2+24*63
 .byt >ScreenBuffer+2+24*64
 .byt >ScreenBuffer+2+24*65
 .byt >ScreenBuffer+2+24*66
 .byt >ScreenBuffer+2+24*67
 .byt >ScreenBuffer+2+24*68
 .byt >ScreenBuffer+2+24*69
 .byt >ScreenBuffer+2+24*70
 .byt >ScreenBuffer+2+24*71
 .byt >ScreenBuffer+2+24*72
 .byt >ScreenBuffer+2+24*73
 .byt >ScreenBuffer+2+24*74
 .byt >ScreenBuffer+2+24*75
 .byt >ScreenBuffer+2+24*76
 .byt >ScreenBuffer+2+24*77
 .byt >ScreenBuffer+2+24*78
 .byt >ScreenBuffer+2+24*79
 .byt >ScreenBuffer+2+24*80
 .byt >ScreenBuffer+2+24*81
 .byt >ScreenBuffer+2+24*82
 .byt >ScreenBuffer+2+24*83
 .byt >ScreenBuffer+2+24*84
 .byt >ScreenBuffer+2+24*85
 .byt >ScreenBuffer+2+24*86
 .byt >ScreenBuffer+2+24*87
 .byt >ScreenBuffer+2+24*88
 .byt >ScreenBuffer+2+24*89
 .byt >ScreenBuffer+2+24*90
 .byt >ScreenBuffer+2+24*91
 .byt >ScreenBuffer+2+24*92
 .byt >ScreenBuffer+2+24*93
 .byt >ScreenBuffer+2+24*94
 .byt >ScreenBuffer+2+24*95
 .byt >ScreenBuffer+2+24*96
 .byt >ScreenBuffer+2+24*97
 .byt >ScreenBuffer+2+24*98
 .byt >ScreenBuffer+2+24*99
 .byt >ScreenBuffer+2+24*100
 .byt >ScreenBuffer+2+24*101
 .byt >ScreenBuffer+2+24*102
 .byt >ScreenBuffer+2+24*103
 .byt >ScreenBuffer+2+24*104
 .byt >ScreenBuffer+2+24*105
 .byt >ScreenBuffer+2+24*106
 .byt >ScreenBuffer+2+24*107
 .byt >ScreenBuffer+2+24*108
 .byt >ScreenBuffer+2+24*109
 .byt >ScreenBuffer+2+24*110
 .byt >ScreenBuffer+2+24*111
 .byt >ScreenBuffer+2+24*112
 .byt >ScreenBuffer+2+24*113
 .byt >ScreenBuffer+2+24*114
 .byt >ScreenBuffer+2+24*115
 .byt >ScreenBuffer+2+24*116
 .byt >ScreenBuffer+2+24*117
 .byt >ScreenBuffer+2+24*118
 .byt >ScreenBuffer+2+24*119
 .byt >ScreenBuffer+2+24*120
 .byt >ScreenBuffer+2+24*121
 .byt >ScreenBuffer+2+24*122
 .byt >ScreenBuffer+2+24*123
 .byt >ScreenBuffer+2+24*124
 .byt >ScreenBuffer+2+24*125
 .byt >ScreenBuffer+2+24*126
 .byt >ScreenBuffer+2+24*127
 .byt >ScreenBuffer+2+24*128
 .byt >ScreenBuffer+2+24*129
 .byt >ScreenBuffer+2+24*130
 .byt >ScreenBuffer+2+24*131
 .byt >ScreenBuffer+2+24*132
 .byt >ScreenBuffer+2+24*133
 .byt >ScreenBuffer+2+24*134
 .byt >ScreenBuffer+2+24*135
 .byt >ScreenBuffer+2+24*136
 .byt >ScreenBuffer+2+24*137
 .byt >ScreenBuffer+2+24*138
 .byt >ScreenBuffer+2+24*139
 .byt >ScreenBuffer+2+24*140
 .byt >ScreenBuffer+2+24*141
 .byt >ScreenBuffer+2+24*142
 .byt >ScreenBuffer+2+24*143
 .byt >ScreenBuffer+2+24*144
 .byt >ScreenBuffer+2+24*145
 
;Play area is 20(120)x136
ScreenRowAddressLo
 .byt <$A000+10+40*32
 .byt <$A000+10+40*33
 .byt <$A000+10+40*34
 .byt <$A000+10+40*35
 .byt <$A000+10+40*36
 .byt <$A000+10+40*37
 .byt <$A000+10+40*38
 .byt <$A000+10+40*39
 .byt <$A000+10+40*40
 .byt <$A000+10+40*41
 .byt <$A000+10+40*42
 .byt <$A000+10+40*43
 .byt <$A000+10+40*44
 .byt <$A000+10+40*45
 .byt <$A000+10+40*46
 .byt <$A000+10+40*47
 .byt <$A000+10+40*48
 .byt <$A000+10+40*49
 .byt <$A000+10+40*50
 .byt <$A000+10+40*51
 .byt <$A000+10+40*52
 .byt <$A000+10+40*53
 .byt <$A000+10+40*54
 .byt <$A000+10+40*55
 .byt <$A000+10+40*56
 .byt <$A000+10+40*57
 .byt <$A000+10+40*58
 .byt <$A000+10+40*59
 .byt <$A000+10+40*60
 .byt <$A000+10+40*61
 .byt <$A000+10+40*62
 .byt <$A000+10+40*63
 .byt <$A000+10+40*64
 .byt <$A000+10+40*65
 .byt <$A000+10+40*66
 .byt <$A000+10+40*67
 .byt <$A000+10+40*68
 .byt <$A000+10+40*69
 .byt <$A000+10+40*70
 .byt <$A000+10+40*71
 .byt <$A000+10+40*72
 .byt <$A000+10+40*73
 .byt <$A000+10+40*74
 .byt <$A000+10+40*75
 .byt <$A000+10+40*76
 .byt <$A000+10+40*77
 .byt <$A000+10+40*78
 .byt <$A000+10+40*79
 .byt <$A000+10+40*80
 .byt <$A000+10+40*81
 .byt <$A000+10+40*82
 .byt <$A000+10+40*83
 .byt <$A000+10+40*84
 .byt <$A000+10+40*85
 .byt <$A000+10+40*86
 .byt <$A000+10+40*87
 .byt <$A000+10+40*88
 .byt <$A000+10+40*89
 .byt <$A000+10+40*90
 .byt <$A000+10+40*91
 .byt <$A000+10+40*92
 .byt <$A000+10+40*93
 .byt <$A000+10+40*94
 .byt <$A000+10+40*95
 .byt <$A000+10+40*96
 .byt <$A000+10+40*97
 .byt <$A000+10+40*98
 .byt <$A000+10+40*99
 .byt <$A000+10+40*100
 .byt <$A000+10+40*101
 .byt <$A000+10+40*102
 .byt <$A000+10+40*103
 .byt <$A000+10+40*104
 .byt <$A000+10+40*105
 .byt <$A000+10+40*106
 .byt <$A000+10+40*107
 .byt <$A000+10+40*108
 .byt <$A000+10+40*109
 .byt <$A000+10+40*110
 .byt <$A000+10+40*111
 .byt <$A000+10+40*112
 .byt <$A000+10+40*113
 .byt <$A000+10+40*114
 .byt <$A000+10+40*115
 .byt <$A000+10+40*116
 .byt <$A000+10+40*117
 .byt <$A000+10+40*118
 .byt <$A000+10+40*119
 .byt <$A000+10+40*120
 .byt <$A000+10+40*121
 .byt <$A000+10+40*122
 .byt <$A000+10+40*123
 .byt <$A000+10+40*124
 .byt <$A000+10+40*125
 .byt <$A000+10+40*126
 .byt <$A000+10+40*127
 .byt <$A000+10+40*128
 .byt <$A000+10+40*129
 .byt <$A000+10+40*130
 .byt <$A000+10+40*131
 .byt <$A000+10+40*132
 .byt <$A000+10+40*133
 .byt <$A000+10+40*134
 .byt <$A000+10+40*135
 .byt <$A000+10+40*136
 .byt <$A000+10+40*137
 .byt <$A000+10+40*138
 .byt <$A000+10+40*139
 .byt <$A000+10+40*140
 .byt <$A000+10+40*141
 .byt <$A000+10+40*142
 .byt <$A000+10+40*143
 .byt <$A000+10+40*144
 .byt <$A000+10+40*145
 .byt <$A000+10+40*146
 .byt <$A000+10+40*147
 .byt <$A000+10+40*148
 .byt <$A000+10+40*149
 .byt <$A000+10+40*150
 .byt <$A000+10+40*151
 .byt <$A000+10+40*152
 .byt <$A000+10+40*153
 .byt <$A000+10+40*154
 .byt <$A000+10+40*155
 .byt <$A000+10+40*156
 .byt <$A000+10+40*157
 .byt <$A000+10+40*158
 .byt <$A000+10+40*159
 .byt <$A000+10+40*160
 .byt <$A000+10+40*161
 .byt <$A000+10+40*162
 .byt <$A000+10+40*163
 .byt <$A000+10+40*164
 .byt <$A000+10+40*165
 .byt <$A000+10+40*166
 .byt <$A000+10+40*167
 .byt <$A000+10+40*168

ScreenRowAddressHi
 .byt >$A000+10+40*32
 .byt >$A000+10+40*33
 .byt >$A000+10+40*34
 .byt >$A000+10+40*35
 .byt >$A000+10+40*36
 .byt >$A000+10+40*37
 .byt >$A000+10+40*38
 .byt >$A000+10+40*39
 .byt >$A000+10+40*40
 .byt >$A000+10+40*41
 .byt >$A000+10+40*42
 .byt >$A000+10+40*43
 .byt >$A000+10+40*44
 .byt >$A000+10+40*45
 .byt >$A000+10+40*46
 .byt >$A000+10+40*47
 .byt >$A000+10+40*48
 .byt >$A000+10+40*49
 .byt >$A000+10+40*50
 .byt >$A000+10+40*51
 .byt >$A000+10+40*52
 .byt >$A000+10+40*53
 .byt >$A000+10+40*54
 .byt >$A000+10+40*55
 .byt >$A000+10+40*56
 .byt >$A000+10+40*57
 .byt >$A000+10+40*58
 .byt >$A000+10+40*59
 .byt >$A000+10+40*60
 .byt >$A000+10+40*61
 .byt >$A000+10+40*62
 .byt >$A000+10+40*63
 .byt >$A000+10+40*64
 .byt >$A000+10+40*65
 .byt >$A000+10+40*66
 .byt >$A000+10+40*67
 .byt >$A000+10+40*68
 .byt >$A000+10+40*69
 .byt >$A000+10+40*70
 .byt >$A000+10+40*71
 .byt >$A000+10+40*72
 .byt >$A000+10+40*73
 .byt >$A000+10+40*74
 .byt >$A000+10+40*75
 .byt >$A000+10+40*76
 .byt >$A000+10+40*77
 .byt >$A000+10+40*78
 .byt >$A000+10+40*79
 .byt >$A000+10+40*80
 .byt >$A000+10+40*81
 .byt >$A000+10+40*82
 .byt >$A000+10+40*83
 .byt >$A000+10+40*84
 .byt >$A000+10+40*85
 .byt >$A000+10+40*86
 .byt >$A000+10+40*87
 .byt >$A000+10+40*88
 .byt >$A000+10+40*89
 .byt >$A000+10+40*90
 .byt >$A000+10+40*91
 .byt >$A000+10+40*92
 .byt >$A000+10+40*93
 .byt >$A000+10+40*94
 .byt >$A000+10+40*95
 .byt >$A000+10+40*96
 .byt >$A000+10+40*97
 .byt >$A000+10+40*98
 .byt >$A000+10+40*99
 .byt >$A000+10+40*100
 .byt >$A000+10+40*101
 .byt >$A000+10+40*102
 .byt >$A000+10+40*103
 .byt >$A000+10+40*104
 .byt >$A000+10+40*105
 .byt >$A000+10+40*106
 .byt >$A000+10+40*107
 .byt >$A000+10+40*108
 .byt >$A000+10+40*109
 .byt >$A000+10+40*110
 .byt >$A000+10+40*111
 .byt >$A000+10+40*112
 .byt >$A000+10+40*113
 .byt >$A000+10+40*114
 .byt >$A000+10+40*115
 .byt >$A000+10+40*116
 .byt >$A000+10+40*117
 .byt >$A000+10+40*118
 .byt >$A000+10+40*119
 .byt >$A000+10+40*120
 .byt >$A000+10+40*121
 .byt >$A000+10+40*122
 .byt >$A000+10+40*123
 .byt >$A000+10+40*124
 .byt >$A000+10+40*125
 .byt >$A000+10+40*126
 .byt >$A000+10+40*127
 .byt >$A000+10+40*128
 .byt >$A000+10+40*129
 .byt >$A000+10+40*130
 .byt >$A000+10+40*131
 .byt >$A000+10+40*132
 .byt >$A000+10+40*133
 .byt >$A000+10+40*134
 .byt >$A000+10+40*135
 .byt >$A000+10+40*136
 .byt >$A000+10+40*137
 .byt >$A000+10+40*138
 .byt >$A000+10+40*139
 .byt >$A000+10+40*140
 .byt >$A000+10+40*141
 .byt >$A000+10+40*142
 .byt >$A000+10+40*143
 .byt >$A000+10+40*144
 .byt >$A000+10+40*145
 .byt >$A000+10+40*146
 .byt >$A000+10+40*147
 .byt >$A000+10+40*148
 .byt >$A000+10+40*149
 .byt >$A000+10+40*150
 .byt >$A000+10+40*151
 .byt >$A000+10+40*152
 .byt >$A000+10+40*153
 .byt >$A000+10+40*154
 .byt >$A000+10+40*155
 .byt >$A000+10+40*156
 .byt >$A000+10+40*157
 .byt >$A000+10+40*158
 .byt >$A000+10+40*159
 .byt >$A000+10+40*160
 .byt >$A000+10+40*161
 .byt >$A000+10+40*162
 .byt >$A000+10+40*163
 .byt >$A000+10+40*164
 .byt >$A000+10+40*165
 .byt >$A000+10+40*166
 .byt >$A000+10+40*167
 .byt >$A000+10+40*168

Map00
 .byt $1,$1,$1,$6,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$4,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$3,$1,$1
 .byt $1,$1,$9,$1,$1
 .byt $1C,$1C,$1C,$1C,$1C
 .byt $1C,$1C,$1C,$1C,$1C
 .byt $1C,$1C,$1F,$1F,$1C
 .byt $1D,$1C,$1F,$1F,$1C
 .byt $1C,$1C,$1C,$1C,$1D
 .byt $1C,$1E,$1C,$1C,$1C
 .byt $1C,$1C,$1C,$1C,$1C
 .byt $19,$19,$19,$19,$19
 .byt $19,$19,$19,$19,$19
 .byt $19,$19,$19,$19,$19
 .byt $21,$19,$19,$19,$21
 .byt $19,$19,$19,$19,$19
 .byt $22,$22,$22,$22,$22
 .byt $23,$23,$23,$23,$23
 .byt $1F,$3,$1F,$3,$1F
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$3,$1C
 .byt $1C,$3,$1C,$9,$18
 .byt $1C,$9,$1F,$18,$19
 .byt $1D,$1C,$18,$19,$19
 .byt $1D,$1B,$19,$19,$19
 .byt $1E,$1B,$19,$19,$19
 .byt $7,$8,$16,$16,$16
 .byt $1F,$1C,$1A,$19,$19
 .byt $1C,$1C,$1C,$1A,$19
 .byt $1C,$1C,$1C,$1D,$1A
 .byt $1C,$1C,$1C,$1C,$1F
 .byt $1C,$1C,$1C,$1C,$18
 .byt $1C,$1F,$1C,$18,$19
 .byt $1C,$1C,$18,$19,$19
 .byt $1C,$18,$19,$19,$19
 .byt $1B,$19,$19,$19,$19
 .byt $1C,$1A,$19,$19,$19
 .byt $1C,$1C,$1A,$19,$19
 .byt $1D,$1D,$1B,$19,$19
 .byt $1D,$1D,$1B,$19,$19
 .byt $1E,$1E,$1C,$1A,$19
 .byt $1E,$1E,$1E,$1B,$19
 .byt $1C,$1E,$1E,$1B,$19
 .byt $1D,$1C,$1C,$1C,$1A
 .byt $7,$7,$7,$8,$7
 .byt $19,$19,$19,$C,$19
 .byt $19,$19,$19,$C,$19
 .byt $19,$19,$19,$C,$19
 .byt $19,$19,$19,$C,$19
 .byt $21,$1E,$1E,$C,$29
 .byt $2,$1C,$1C,$C,$0
 .byt $1,$1,$1,$C,$29
 .byt $1,$1,$1,$C,$1
 .byt $6,$1,$2,$C,$1
 .byt $1,$10,$D,$E,$19
 .byt $1,$C,$21,$19,$19
 .byt $1,$C,$19,$19,$6
 .byt $4,$C,$5,$29,$29
 .byt $1,$C,$5,$29,$1
 .byt $4,$C,$5,$1,$1
 .byt $20,$C,$5,$1,$1
 .byt $14,$15,$16,$14,$14
 .byt $1,$C,$5,$27,$21
 .byt $1,$C,$5,$13,$20
 .byt $20,$C,$5,$13,$6
 .byt $1,$C,$5,$13,$1
 .byt $4,$C,$5,$13,$1
 .byt $2,$C,$5,$13,$2
 .byt $D,$D,$B,$D,$F
 .byt $1,$20,$5,$0,$C
 .byt $19,$19,$19,$1,$C
 .byt $20,$10,$D,$D,$E
 .byt $4,$C,$1,$28,$28
 .byt $F,$E,$1,$1,$1
 .byt $C,$20,$1,$28,$1
 .byt $C,$1,$28,$1,$1
 .byt $C,$20,$0,$1,$28
 .byt $11,$D,$D,$F,$1
 .byt $28,$2B,$20,$C,$1
 .byt $1,$2,$2,$C,$0
 .byt $1,$1,$29,$C,$25
 .byt $14,$14,$14,$15,$14
 .byt $D,$D,$D,$E,$4
 .byt $6,$13,$1,$1,$1
 .byt $12,$13,$1,$1,$1
 .byt $27,$25,$1,$29,$1
 .byt $13,$1,$28,$1,$1
 .byt $13,$29,$1,$1,$28
 .byt $13,$1,$1,$27,$21
 .byt $26,$A,$A,$13,$29
 .byt $1,$1,$1,$13,$6
 .byt $29,$1,$1,$13,$20
 .byt $1,$20,$1,$26,$A
 .byt $1,$1,$1,$29,$2B
 .byt $1,$28,$1,$1,$1
 .byt $1,$1,$1,$1,$1
 .byt $28,$1,$1,$1,$4
 .byt $1,$20,$10,$D,$D
 .byt $D,$D,$E,$1,$20
 .byt $1,$28,$1,$29,$1
 .byt $1,$1,$1,$1,$1
 .byt $29,$1,$1,$1,$1
 .byt $1,$1,$1,$1,$29
 .byt $1,$2B,$2C,$2A,$2C
 .byt $29,$1,$1,$1,$28
 .byt $1,$28,$1,$1,$1
 .byt $1,$1,$1,$28,$1
 .byt $1,$28,$1,$1,$28
 .byt $1,$1,$29,$1,$1
 .byt $29,$1,$1,$1,$1
 .byt $1,$1,$1,$1,$1
 .byt $20,$1,$28,$1,$29
 .byt $1,$1,$1,$20,$1
 .byt $28,$1,$1,$1,$1
 .byt $1,$20,$1,$28,$29
 .byt $1,$28,$29,$1,$1
 
 
 

MapRowAddressLo
 .byt <Map00
 .byt <Map00+5*1
 .byt <Map00+5*2
 .byt <Map00+5*3
 .byt <Map00+5*4
 .byt <Map00+5*5
 .byt <Map00+5*6
 .byt <Map00+5*7
 .byt <Map00+5*8
 .byt <Map00+5*9
 .byt <Map00+5*10
 .byt <Map00+5*11
 .byt <Map00+5*12
 .byt <Map00+5*13
 .byt <Map00+5*14
 .byt <Map00+5*15
 .byt <Map00+5*16
 .byt <Map00+5*17
 .byt <Map00+5*18
 .byt <Map00+5*19
 .byt <Map00+5*20
 .byt <Map00+5*21
 .byt <Map00+5*22
 .byt <Map00+5*23
 .byt <Map00+5*24
 .byt <Map00+5*25
 .byt <Map00+5*26
 .byt <Map00+5*27
 .byt <Map00+5*28
 .byt <Map00+5*29
 .byt <Map00+5*30
 .byt <Map00+5*31
 .byt <Map00+5*32
 .byt <Map00+5*33
 .byt <Map00+5*34
 .byt <Map00+5*35
 .byt <Map00+5*36
 .byt <Map00+5*37
 .byt <Map00+5*38
 .byt <Map00+5*39
 .byt <Map00+5*40
 .byt <Map00+5*41
 .byt <Map00+5*42
 .byt <Map00+5*43
 .byt <Map00+5*44
 .byt <Map00+5*45
 .byt <Map00+5*46
 .byt <Map00+5*47
 .byt <Map00+5*48
 .byt <Map00+5*49
 .byt <Map00+5*50
 .byt <Map00+5*51
 .byt <Map00+5*52
 .byt <Map00+5*53
 .byt <Map00+5*54
 .byt <Map00+5*55
 .byt <Map00+5*56
 .byt <Map00+5*57
 .byt <Map00+5*58
 .byt <Map00+5*59
 .byt <Map00+5*60
 .byt <Map00+5*61
 .byt <Map00+5*62
 .byt <Map00+5*63
 .byt <Map00+5*64
 .byt <Map00+5*65
 .byt <Map00+5*66
 .byt <Map00+5*67
 .byt <Map00+5*68
 .byt <Map00+5*69
 .byt <Map00+5*70
 .byt <Map00+5*71
 .byt <Map00+5*72
 .byt <Map00+5*73
 .byt <Map00+5*74
 .byt <Map00+5*75
 .byt <Map00+5*76
 .byt <Map00+5*77
 .byt <Map00+5*78
 .byt <Map00+5*79
 .byt <Map00+5*80
 .byt <Map00+5*81
 .byt <Map00+5*82
 .byt <Map00+5*83
 .byt <Map00+5*84
 .byt <Map00+5*85
 .byt <Map00+5*86
 .byt <Map00+5*87
 .byt <Map00+5*88
 .byt <Map00+5*89
 .byt <Map00+5*90
 .byt <Map00+5*91
 .byt <Map00+5*92
 .byt <Map00+5*93
 .byt <Map00+5*94
 .byt <Map00+5*95
 .byt <Map00+5*96
 .byt <Map00+5*97
 .byt <Map00+5*98
 .byt <Map00+5*99
 .byt <Map00+5*100
 .byt <Map00+5*101
 .byt <Map00+5*102
 .byt <Map00+5*103
 .byt <Map00+5*104
 .byt <Map00+5*105
 .byt <Map00+5*106
 .byt <Map00+5*107
 .byt <Map00+5*108
 .byt <Map00+5*109
 .byt <Map00+5*110
 .byt <Map00+5*111
 .byt <Map00+5*112
 .byt <Map00+5*113
 .byt <Map00+5*114
 .byt <Map00+5*115
 .byt <Map00+5*116
 .byt <Map00+5*117
 .byt <Map00+5*118
 .byt <Map00+5*119
 .byt <Map00+5*120
 .byt <Map00+5*121
 .byt <Map00+5*122
 .byt <Map00+5*123
 .byt <Map00+5*124
 .byt <Map00+5*125
 .byt <Map00+5*126
 .byt <Map00+5*127
MapRowAddressHi
 .byt >Map00
 .byt >Map00+5*1
 .byt >Map00+5*2
 .byt >Map00+5*3
 .byt >Map00+5*4
 .byt >Map00+5*5
 .byt >Map00+5*6
 .byt >Map00+5*7
 .byt >Map00+5*8
 .byt >Map00+5*9
 .byt >Map00+5*10
 .byt >Map00+5*11
 .byt >Map00+5*12
 .byt >Map00+5*13
 .byt >Map00+5*14
 .byt >Map00+5*15
 .byt >Map00+5*16
 .byt >Map00+5*17
 .byt >Map00+5*18
 .byt >Map00+5*19
 .byt >Map00+5*20
 .byt >Map00+5*21
 .byt >Map00+5*22
 .byt >Map00+5*23
 .byt >Map00+5*24
 .byt >Map00+5*25
 .byt >Map00+5*26
 .byt >Map00+5*27
 .byt >Map00+5*28
 .byt >Map00+5*29
 .byt >Map00+5*30
 .byt >Map00+5*31
 .byt >Map00+5*32
 .byt >Map00+5*33
 .byt >Map00+5*34
 .byt >Map00+5*35
 .byt >Map00+5*36
 .byt >Map00+5*37
 .byt >Map00+5*38
 .byt >Map00+5*39
 .byt >Map00+5*40
 .byt >Map00+5*41
 .byt >Map00+5*42
 .byt >Map00+5*43
 .byt >Map00+5*44
 .byt >Map00+5*45
 .byt >Map00+5*46
 .byt >Map00+5*47
 .byt >Map00+5*48
 .byt >Map00+5*49
 .byt >Map00+5*50
 .byt >Map00+5*51
 .byt >Map00+5*52
 .byt >Map00+5*53
 .byt >Map00+5*54
 .byt >Map00+5*55
 .byt >Map00+5*56
 .byt >Map00+5*57
 .byt >Map00+5*58
 .byt >Map00+5*59
 .byt >Map00+5*60
 .byt >Map00+5*61
 .byt >Map00+5*62
 .byt >Map00+5*63
 .byt >Map00+5*64
 .byt >Map00+5*65
 .byt >Map00+5*66
 .byt >Map00+5*67
 .byt >Map00+5*68
 .byt >Map00+5*69
 .byt >Map00+5*70
 .byt >Map00+5*71
 .byt >Map00+5*72
 .byt >Map00+5*73
 .byt >Map00+5*74
 .byt >Map00+5*75
 .byt >Map00+5*76
 .byt >Map00+5*77
 .byt >Map00+5*78
 .byt >Map00+5*79
 .byt >Map00+5*80
 .byt >Map00+5*81
 .byt >Map00+5*82
 .byt >Map00+5*83
 .byt >Map00+5*84
 .byt >Map00+5*85
 .byt >Map00+5*86
 .byt >Map00+5*87
 .byt >Map00+5*88
 .byt >Map00+5*89
 .byt >Map00+5*90
 .byt >Map00+5*91
 .byt >Map00+5*92
 .byt >Map00+5*93
 .byt >Map00+5*94
 .byt >Map00+5*95
 .byt >Map00+5*96
 .byt >Map00+5*97
 .byt >Map00+5*98
 .byt >Map00+5*99
 .byt >Map00+5*100
 .byt >Map00+5*101
 .byt >Map00+5*102
 .byt >Map00+5*103
 .byt >Map00+5*104
 .byt >Map00+5*105
 .byt >Map00+5*106
 .byt >Map00+5*107
 .byt >Map00+5*108
 .byt >Map00+5*109
 .byt >Map00+5*110
 .byt >Map00+5*111
 .byt >Map00+5*112
 .byt >Map00+5*113
 .byt >Map00+5*114
 .byt >Map00+5*115
 .byt >Map00+5*116
 .byt >Map00+5*117
 .byt >Map00+5*118
 .byt >Map00+5*119
 .byt >Map00+5*120
 .byt >Map00+5*121
 .byt >Map00+5*122
 .byt >Map00+5*123
 .byt >Map00+5*124
 .byt >Map00+5*125
 .byt >Map00+5*126
 .byt >Map00+5*127

GraphicBlockAddressLo
 .byt <GraphicBlock_Building1		 ;00
 .byt <GraphicBlock_Ground1              ;01
 .byt <GraphicBlock_NissanHut            ;02
 .byt <GraphicBlock_Runway               ;03
 .byt <GraphicBlock_House                ;04
 .byt <GraphicBlock_Canal                ;05
 .byt <GraphicBlock_Camouflage           ;06
 .byt <GraphicBlock_RailsOnPort          ;07
 .byt <GraphicBlock_RailGatesPort        ;08
 .byt <GraphicBlock_RunwayBarrier        ;09
 .byt <GraphicBlock_TrackWE              ;10
 .byt <GraphicBlock_TrackBridge          ;11
 .byt <GraphicBlock_RoadNS               ;12
 .byt <GraphicBlock_RoadWE               ;13
 .byt <GraphicBlock_RoadWN               ;14
 .byt <GraphicBlock_RoadWS               ;15
 .byt <GraphicBlock_RoadSE               ;16
 .byt <GraphicBlock_RoadNE               ;17
 .byt <GraphicBlock_ConcealedGunpost     ;18
 .byt <GraphicBlock_TrackNS              ;19
 .byt <GraphicBlock_RailOnScrub          ;20
 .byt <GraphicBlock_RailGatesScrub       ;21
 .byt <GraphicBlock_RailBridge           ;22
 .byt <GraphicBlock_Scrub2Water          ;23
 .byt <GraphicBlock_DockNE               ;24
 .byt <GraphicBlock_Water                ;25
 .byt <GraphicBlock_DockSE               ;26
 .byt <GraphicBlock_DockE                ;27
 .byt <GraphicBlock_DockLand             ;28
 .byt <GraphicBlock_DockCannisters       ;29
 .byt <GraphicBlock_LargeNissanHut       ;30
 .byt <GraphicBlock_DockConcealedGunPost ;31
 .byt <GraphicBlock_LargeShrub           ;32
 .byt <GraphicBlock_ShrubGunpost         ;33
 .byt <GraphicBlock_WaterBorderN         ;34
 .byt <GraphicBlock_DockN                ;35
 .byt <GraphicBlock_TrackWS              ;36
 .byt <GraphicBlock_TrackWN              ;37
 .byt <GraphicBlock_TrackNE              ;38
 .byt <GraphicBlock_TrackSE              ;39
 .byt <GraphicBlock_Ground2              ;40
 .byt <GraphicBlock_Ground3              ;41
 .byt <GraphicBlock_RiverWE1             ;42
 .byt <GraphicBlock_Pond                 ;43
 .byt <GraphicBlock_RiverWE2             ;44
GraphicBlockAddressHi
 .byt >GraphicBlock_Building1
 .byt >GraphicBlock_Ground1
 .byt >GraphicBlock_NissanHut
 .byt >GraphicBlock_Runway
 .byt >GraphicBlock_House
 .byt >GraphicBlock_Canal
 .byt >GraphicBlock_Camouflage
 .byt >GraphicBlock_RailsOnPort
 .byt >GraphicBlock_RailGatesPort
 .byt >GraphicBlock_RunwayBarrier
 .byt >GraphicBlock_TrackWE
 .byt >GraphicBlock_TrackBridge
 .byt >GraphicBlock_RoadNS
 .byt >GraphicBlock_RoadWE
 .byt >GraphicBlock_RoadWN
 .byt >GraphicBlock_RoadWS
 .byt >GraphicBlock_RoadSE
 .byt >GraphicBlock_RoadNE
 .byt >GraphicBlock_ConcealedGunpost
 .byt >GraphicBlock_TrackNS
 .byt >GraphicBlock_RailOnScrub
 .byt >GraphicBlock_RailGatesScrub
 .byt >GraphicBlock_RailBridge
 .byt >GraphicBlock_Scrub2Water
 .byt >GraphicBlock_DockNE
 .byt >GraphicBlock_Water
 .byt >GraphicBlock_DockSE
 .byt >GraphicBlock_DockE
 .byt >GraphicBlock_DockLand
 .byt >GraphicBlock_DockCannisters
 .byt >GraphicBlock_LargeNissanHut
 .byt >GraphicBlock_DockConcealedGunPost
 .byt >GraphicBlock_LargeShrub
 .byt >GraphicBlock_ShrubGunpost
 .byt >GraphicBlock_WaterBorderN
 .byt >GraphicBlock_DockN
 .byt >GraphicBlock_TrackWS
 .byt >GraphicBlock_TrackWN
 .byt >GraphicBlock_TrackNE
 .byt >GraphicBlock_TrackSE
 .byt >GraphicBlock_Ground2
 .byt >GraphicBlock_Ground3
 .byt >GraphicBlock_RiverWE1
 .byt >GraphicBlock_Pond
 .byt >GraphicBlock_RiverWE2

;Graphics taken from swivblks.mem
GraphicBlock_Building1
 .byt $50,$40,$40,$45
 .byt $40,$40,$40,$40
 .byt $50,$40,$40,$41
 .byt $40,$40,$40,$40
 .byt $50,$C0,$C0,$C0
 .byt $40,$75,$55,$53
 .byt $50,$70,$40,$43
 .byt $40,$75,$55,$53
 .byt $50,$70,$40,$43
 .byt $40,$75,$55,$53
 .byt $50,$70,$40,$43
 .byt $40,$75,$55,$53
 .byt $50,$60,$40,$43
 .byt $40,$60,$55,$53
 .byt $50,$60,$40,$43
 .byt $40,$60,$45,$53
 .byt $50,$63,$70,$43
 .byt $40,$63,$75,$53
 .byt $50,$73,$70,$43
 .byt $40,$73,$75,$53
 .byt $50,$70,$40,$43
 .byt $40,$70,$40,$43
 .byt $54,$C0,$C0,$C0
 .byt $40,$5F,$7F,$66
GraphicBlock_Ground1
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$48,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$42,$40
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_NissanHut
 .byt $54,$40,$55,$55
 .byt $40,$40,$40,$40
 .byt $50,$40,$45,$55
 .byt $40,$40,$40,$40
 .byt $50,$40,$41,$55
 .byt $40,$40,$40,$40
 .byt $50,$40,$40,$55
 .byt $40,$E7,$DF,$40
 .byt $50,$58,$40,$55
 .byt $40,$FF,$DF,$40
 .byt $50,$40,$40,$55
 .byt $40,$FF,$DF,$40
 .byt $50,$40,$40,$55
 .byt $40,$FF,$DF,$40
 .byt $50,$40,$40,$55
 .byt $40,$FF,$DF,$40
 .byt $50,$40,$40,$55
 .byt $40,$FF,$DF,$40
 .byt $54,$5C,$4E,$55
 .byt $40,$40,$60,$40
 .byt $55,$55,$55,$55
 .byt $4A,$6A,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $68,$40,$40,$42
GraphicBlock_Runway
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6A,$6A,$6A
 .byt $40,$40,$40,$41
 .byt $4A,$6A,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6B,$6A,$6A
 .byt $40,$41,$40,$41
 .byt $4A,$6A,$6A,$6A
 .byt $40,$40,$40,$41
 .byt $4A,$6A,$6A,$6A
GraphicBlock_House
 .byt $50,$40,$40,$55
 .byt $40,$40,$40,$40
 .byt $50,$40,$40,$45
 .byt $40,$6A,$6A,$60
 .byt $50,$55,$55,$45
 .byt $40,$6A,$6A,$60
 .byt $40,$55,$55,$45
 .byt $40,$4A,$6A,$60
 .byt $40,$41,$55,$45
 .byt $40,$7A,$6A,$60
 .byt $50,$69,$55,$45
 .byt $40,$7B,$7F,$60
 .byt $50,$42,$6A,$65
 .byt $40,$7F,$7F,$60
 .byt $50,$6A,$6A,$65
 .byt $40,$7F,$7F,$60
 .byt $50,$6A,$6A,$65
 .byt $40,$7F,$7F,$60
 .byt $54,$59,$7F,$45
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_Canal
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
GraphicBlock_Camouflage
 .byt $55,$45,$55,$55
 .byt $40,$42,$40,$40
 .byt $54,$45,$55,$55
 .byt $40,$4A,$68,$40
 .byt $50,$55,$55,$55
 .byt $42,$D5,$6A,$40
 .byt $55,$55,$55,$55
 .byt $42,$6A,$D5,$68
 .byt $52,$55,$55,$55
 .byt $40,$4A,$6A,$40
 .byt $51,$41,$55,$55
 .byt $43,$D7,$68,$40
 .byt $57,$54,$55,$55
 .byt $42,$40,$48,$40
 .byt $55,$45,$49,$55
 .byt $40,$70,$40,$40
 .byt $54,$75,$55,$55
 .byt $40,$42,$48,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$FE,$55,$55
 .byt $48,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$60,$40
GraphicBlock_RailsOnPort
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $7F,$7F,$7F,$7F
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $6A,$6A,$6A,$6A
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $7F,$7F,$7F,$7F
 .byt $6A,$6A,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
GraphicBlock_RailGatesPort
 .byt $5F,$7F,$7F,$7F
 .byt $4A,$6A,$6B,$7F
 .byt $50,$40,$40,$7F
 .byt $EC,$F3,$CC,$5F
 .byt $50,$40,$40,$5F
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $7F,$7F,$7F,$7F
 .byt $40,$40,$40,$40
 .byt $7F,$7F,$7F,$6A
 .byt $7F,$7F,$7F,$6A
 .byt $7F,$7F,$7F,$6A
 .byt $40,$40,$40,$40
 .byt $7F,$7F,$7F,$7F
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$69,$7F
 .byt $40,$40,$42,$7F
 .byt $E9,$E6,$D9,$5F
 .byt $40,$40,$42,$7F
 .byt $7F,$7F,$78,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
GraphicBlock_RunwayBarrier
 .byt $40,$40,$50,$40
 .byt $6A,$6A,$7A,$6A
 .byt $50,$40,$50,$40
 .byt $6A,$6A,$7A,$6A
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$42
 .byt $40,$40,$40,$40
 .byt $F1,$F1,$F1,$F1
 .byt $C1,$C7,$C4,$C7
 .byt $FC,$DC,$DC,$DC
 .byt $43,$40,$40,$70
 .byt $61,$40,$40,$50
 .byt $54,$55,$55,$45
 .byt $40,$42,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$60,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $48,$40,$40,$40
GraphicBlock_TrackWE
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $6A,$68,$6A,$6A
 .byt $75,$55,$55,$55
 .byt $6A,$6A,$6A,$6A
 .byt $55,$75,$55,$55
 .byt $7A,$6A,$6A,$62
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$60,$40
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_TrackBridge
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $40,$40,$40,$40
 .byt $DF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$41
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
GraphicBlock_RoadNS
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$48
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
GraphicBlock_RoadWE
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$60,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_RoadWN
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $40,$40,$45,$55
 .byt $4A,$6A,$68,$40
 .byt $40,$40,$45,$55
 .byt $6A,$6A,$68,$40
 .byt $40,$40,$45,$55
 .byt $6A,$6A,$68,$40
 .byt $40,$40,$55,$55
 .byt $6A,$6A,$60,$40
 .byt $40,$41,$55,$55
 .byt $6A,$6A,$40,$40
 .byt $40,$55,$55,$55
 .byt $6A,$60,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$42,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_RoadWS
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $40,$41,$55,$55
 .byt $6A,$68,$40,$40
 .byt $40,$40,$55,$55
 .byt $6A,$6A,$60,$42
 .byt $40,$40,$55,$55
 .byt $6A,$6A,$68,$40
 .byt $40,$40,$45,$55
 .byt $6A,$6A,$68,$40
 .byt $40,$40,$45,$55
 .byt $6A,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $4A,$6A,$68,$60
 .byt $40,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
GraphicBlock_RoadSE
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$54,$40,$40
 .byt $40,$40,$6A,$6A
 .byt $55,$40,$40,$40
 .byt $40,$4A,$6A,$6A
 .byt $54,$40,$40,$40
 .byt $40,$6A,$6A,$6A
 .byt $54,$40,$40,$40
 .byt $40,$6A,$6A,$6A
 .byt $50,$40,$40,$40
 .byt $42,$6A,$6A,$6A
 .byt $50,$40,$41,$55
 .byt $42,$6A,$6A,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$60
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
GraphicBlock_RoadNE
 .byt $50,$40,$45,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $42,$6A,$6A,$40
 .byt $50,$40,$40,$40
 .byt $42,$6A,$6A,$6A
 .byt $50,$40,$40,$40
 .byt $40,$6A,$6A,$6A
 .byt $54,$40,$40,$40
 .byt $40,$6A,$6A,$6A
 .byt $55,$40,$40,$40
 .byt $40,$4A,$6A,$6A
 .byt $55,$55,$40,$40
 .byt $40,$40,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$42,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$42
 .byt $55,$55,$55,$55
 .byt $40,$40,$42,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_ConcealedGunpost
 .byt $55,$55,$55,$55
 .byt $40,$40,$42,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$6A,$6A,$40
 .byt $55,$40,$40,$55
 .byt $40,$6A,$6A,$42
 .byt $55,$40,$40,$55
 .byt $40,$6B,$6A,$48
 .byt $55,$40,$40,$55
 .byt $48,$6B,$6A,$40
 .byt $55,$40,$40,$55
 .byt $40,$6A,$6A,$40
 .byt $55,$40,$40,$55
 .byt $40,$6A,$6A,$40
 .byt $55,$40,$40,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$42
 .byt $55,$55,$55,$55
 .byt $40,$40,$42,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_TrackNS
 .byt $55,$55,$55,$55
 .byt $42,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$48,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$6A,$40
 .byt $55,$55,$55,$55
 .byt $40,$48,$68,$60
 .byt $55,$55,$55,$55
 .byt $40,$6A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4B,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $48,$48,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$48
 .byt $55,$55,$75,$55
 .byt $40,$4A,$68,$40
GraphicBlock_RailOnScrub
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $7F,$7F,$7F,$7F
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $6A,$6A,$6A,$6A
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$40,$40
 .byt $7F,$7F,$7F,$7F
 .byt $6A,$6A,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_RailGatesScrub
 .byt $40,$40,$45,$55
 .byt $40,$40,$40,$40
 .byt $50,$40,$40,$55
 .byt $CC,$F3,$CC,$40
 .byt $50,$40,$40,$55
 .byt $42,$6A,$68,$40
 .byt $40,$40,$40,$40
 .byt $6A,$6A,$6A,$6A
 .byt $7F,$7F,$7F,$7F
 .byt $45,$55,$54,$40
 .byt $6A,$6A,$6A,$6A
 .byt $6D,$55,$56,$6A
 .byt $6A,$6A,$6A,$6A
 .byt $45,$55,$54,$40
 .byt $7F,$7F,$7F,$7F
 .byt $6A,$6A,$6A,$6A
 .byt $40,$40,$45,$55
 .byt $40,$40,$40,$40
 .byt $40,$40,$42,$55
 .byt $CC,$F3,$CC,$40
 .byt $40,$40,$42,$55
 .byt $42,$6A,$68,$40
 .byt $50,$40,$45,$55
 .byt $40,$40,$40,$40
GraphicBlock_RailBridge
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $40,$40,$40,$40
 .byt $60,$40,$40,$41
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $7A,$6A,$6A,$6B
 .byt $7F,$7F,$7F,$7F
 .byt $40,$40,$40,$40
 .byt $7A,$6A,$6A,$6B
 .byt $7A,$6A,$6A,$6B
 .byt $7A,$6A,$6A,$6B
 .byt $40,$40,$40,$40
 .byt $7F,$7F,$7F,$7F
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$41
GraphicBlock_Scrub2Water
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
GraphicBlock_DockNE
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7E
 .byt $7F,$7F,$7F,$C3
 .byt $7F,$7F,$67,$78
 .byt $7F,$7F,$43,$CF
 .byt $7F,$7F,$4D,$60
 .byt $7F,$7F,$6D,$FF
 .byt $7F,$7F,$72,$40
 .byt $7F,$7F,$C3,$FF
 .byt $7F,$7F,$78,$40
 .byt $7F,$7F,$CF,$FF
 .byt $7F,$7F,$60,$40
 .byt $7F,$7F,$FF,$FF
 .byt $7F,$7E,$40,$40
 .byt $7F,$C3,$FF,$FF
 .byt $67,$78,$40,$40
 .byt $43,$CF,$FF,$FF
 .byt $4D,$60,$40,$40
 .byt $6D,$FF,$FF,$FF
 .byt $72,$40,$40,$40
 .byt $C3,$FF,$FF,$FF
 .byt $78,$40,$40,$40
 .byt $CF,$FF,$FF,$FF
 .byt $60,$40,$40,$40
GraphicBlock_Water
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
GraphicBlock_DockSE
 .byt $DF,$FF,$FF,$FF
 .byt $70,$40,$40,$40
 .byt $C7,$FF,$FF,$FF
 .byt $7C,$40,$40,$40
 .byt $7E,$FF,$FF,$FF
 .byt $79,$40,$40,$40
 .byt $70,$DF,$FF,$FF
 .byt $73,$50,$40,$40
 .byt $7B,$E7,$FF,$FF
 .byt $7C,$7C,$40,$40
 .byt $7F,$7E,$FF,$FF
 .byt $7F,$7F,$40,$40
 .byt $7F,$7F,$DF,$FF
 .byt $7F,$7F,$70,$40
 .byt $7F,$7F,$C7,$FF
 .byt $7F,$7F,$7C,$40
 .byt $7F,$7F,$7E,$FF
 .byt $7F,$7F,$79,$40
 .byt $7F,$7F,$70,$DF
 .byt $7F,$7F,$73,$50
 .byt $7F,$7F,$7B,$E7
 .byt $7F,$7F,$7C,$7C
 .byt $7F,$7F,$7F,$7E
 .byt $7F,$7F,$7F,$7F
GraphicBlock_DockE
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$67
 .byt $7F,$7F,$7F,$43
 .byt $7F,$7F,$7F,$4D
 .byt $7F,$7F,$7F,$6D
 .byt $7F,$7F,$7F,$73
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$67
 .byt $7F,$7F,$7F,$43
 .byt $7F,$7F,$7F,$4D
 .byt $7F,$7F,$7F,$6D
 .byt $7F,$7F,$7F,$73
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
GraphicBlock_DockLand
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
GraphicBlock_DockCannisters
 .byt $7F,$7F,$7F,$7F
 .byt $7E,$47,$7F,$7F
 .byt $7C,$43,$7F,$7F
 .byt $7C,$41,$7F,$7F
 .byt $7C,$5E,$7F,$7F
 .byt $7C,$E7,$5F,$7F
 .byt $7E,$77,$5F,$7F
 .byt $7E,$FF,$47,$7F
 .byt $7F,$5E,$43,$7F
 .byt $7F,$60,$41,$7F
 .byt $7F,$7C,$5E,$7F
 .byt $7E,$44,$E7,$5F
 .byt $7C,$42,$77,$5F
 .byt $7C,$48,$FF,$5F
 .byt $7C,$5E,$5E,$7F
 .byt $7C,$E7,$41,$7F
 .byt $7C,$7F,$5F,$7F
 .byt $7C,$E7,$5F,$7F
 .byt $7E,$7F,$5F,$7F
 .byt $7E,$FF,$5F,$7F
 .byt $7F,$5E,$7F,$7F
 .byt $7F,$61,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $77,$7F,$77,$7F
GraphicBlock_LargeNissanHut
 .byt $7E,$40,$41,$7F
 .byt $78,$40,$40,$4F
 .byt $70,$40,$40,$43
 .byt $70,$40,$40,$41
 .byt $70,$40,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $70,$5C,$40,$40
 .byt $70,$E3,$FB,$FF
 .byt $70,$5C,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $70,$40,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $70,$40,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $70,$40,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $70,$40,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $70,$40,$40,$40
 .byt $70,$FF,$FB,$FF
 .byt $78,$40,$40,$40
 .byt $7C,$FF,$FB,$FF
 .byt $7E,$5F,$40,$7E
 .byt $7F,$40,$54,$40
GraphicBlock_DockConcealedGunPost
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$7F,$7E,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$7F,$7E,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$7D,$5E,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$7D,$5E,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$7F,$7E,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$7F,$7E,$7F
 .byt $7F,$FF,$FF,$7F
 .byt $7F,$40,$40,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
GraphicBlock_LargeShrub
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $54,$41,$41,$55
 .byt $40,$48,$48,$40
 .byt $50,$54,$54,$55
 .byt $40,$4A,$6A,$40
 .byt $50,$55,$54,$55
 .byt $40,$42,$4A,$40
 .byt $54,$45,$55,$55
 .byt $40,$4A,$68,$40
 .byt $54,$55,$55,$55
 .byt $40,$48,$6A,$40
 .byt $55,$45,$55,$55
 .byt $40,$40,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_ShrubGunpost
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$48
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $50,$41,$55,$55
 .byt $40,$40,$40,$40
 .byt $40,$5C,$55,$55
 .byt $43,$7F,$60,$40
 .byt $47,$43,$75,$55
 .byt $46,$5C,$70,$40
 .byt $44,$7E,$75,$55
 .byt $4D,$DC,$58,$40
 .byt $4D,$EA,$59,$55
 .byt $4D,$E2,$58,$40
 .byt $4D,$E2,$59,$55
 .byt $49,$C8,$58,$40
 .byt $40,$76,$75,$55
 .byt $44,$62,$70,$40
 .byt $50,$76,$75,$55
 .byt $42,$76,$60,$40
 .byt $54,$40,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_WaterBorderN
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $FF,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
 .byt $40,$40,$40,$40
GraphicBlock_DockN
 .byt $7E,$5F,$7F,$4F
 .byt $7C,$4F,$7E,$47
 .byt $7C,$77,$7E,$5B
 .byt $7E,$77,$7F,$5B
 .byt $7F,$4F,$7F,$67
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
 .byt $7F,$7F,$7F,$7F
GraphicBlock_TrackWS
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $6A,$6A,$42,$40
 .byt $55,$55,$55,$55
 .byt $6A,$6A,$60,$40
 .byt $55,$75,$55,$55
 .byt $6A,$6A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$6B,$68,$60
 .byt $55,$55,$55,$55
 .byt $42,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$48,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$75,$55
 .byt $40,$4A,$68,$40
GraphicBlock_TrackWN
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$6A,$68,$40
 .byt $55,$55,$55,$55
 .byt $6A,$6A,$62,$40
 .byt $55,$55,$55,$55
 .byt $6A,$6A,$60,$40
 .byt $55,$75,$55,$55
 .byt $6A,$6A,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$75,$55
 .byt $40,$40,$40,$40
GraphicBlock_TrackNE
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$6A,$40
 .byt $55,$55,$55,$55
 .byt $40,$4E,$62,$4A
 .byt $55,$55,$55,$55
 .byt $40,$42,$6A,$6A
 .byt $55,$75,$55,$55
 .byt $40,$40,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$75,$55
 .byt $40,$40,$40,$40
GraphicBlock_TrackSE
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$62,$6A
 .byt $55,$55,$55,$55
 .byt $40,$42,$6A,$6A
 .byt $55,$75,$55,$55
 .byt $40,$42,$6A,$6A
 .byt $55,$55,$55,$55
 .byt $40,$4A,$68,$60
 .byt $55,$55,$55,$55
 .byt $40,$4A,$6A,$68
 .byt $55,$55,$55,$55
 .byt $42,$4A,$68,$40
 .byt $55,$55,$55,$55
 .byt $40,$4A,$48,$60
 .byt $55,$55,$55,$55
 .byt $40,$4A,$6A,$40
 .byt $55,$55,$55,$55
 .byt $40,$4B,$68,$40
GraphicBlock_Ground2
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$42,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$60,$40
GraphicBlock_Ground3
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $50,$45,$55,$55
 .byt $42,$60,$40,$40
 .byt $51,$55,$55,$55
 .byt $42,$68,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$60,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$75,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$51,$55
 .byt $40,$40,$42,$60
 .byt $55,$55,$51,$55
 .byt $42,$40,$40,$60
 .byt $50,$55,$55,$55
 .byt $42,$60,$40,$40
 .byt $51,$55,$55,$55
 .byt $42,$60,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$75,$55
 .byt $40,$40,$40,$40
GraphicBlock_RiverWE1
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $FF,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $54,$FE,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$FE,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$EF,$EF,$FF
 .byt $40,$40,$40,$40
 .byt $55,$54,$FF,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_Pond
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$EF,$45,$55
 .byt $40,$40,$40,$40
 .byt $55,$FF,$FF,$FF
 .byt $40,$40,$40,$40
 .byt $55,$FF,$FF,$55
 .byt $40,$40,$40,$60
 .byt $55,$FF,$FE,$55
 .byt $42,$40,$40,$40
 .byt $55,$EF,$EA,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
GraphicBlock_RiverWE2
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$60
 .byt $55,$55,$55,$55
 .byt $42,$40,$40,$40
 .byt $55,$55,$55,$EF
 .byt $40,$40,$40,$40
 .byt $55,$55,$EB,$45
 .byt $40,$40,$40,$40
 .byt $55,$55,$EF,$55
 .byt $40,$40,$40,$40
 .byt $FE,$55,$EF,$55
 .byt $40,$40,$40,$40
 .byt $D7,$55,$FF,$55
 .byt $40,$40,$40,$60
 .byt $EB,$44,$FE,$55
 .byt $42,$40,$40,$40
 .byt $55,$FF,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$55,$55
 .byt $40,$40,$40,$40
 .byt $55,$55,$75,$55
 .byt $40,$40,$40,$40
 
;RecognisedBackgroundObject_Block
; .byt 31		;Concealed Gun post
; .byt 33		;Gunpost(coloured)
; .byt 21		;Scrub Railway gates
; .byt 8		;Port Railway gates
; .byt 30		;Hanger(Tank)
;;The following tables are all held in tables indexed by the offset
;;in RecognisedBackgroundObject_Block
;BackgroundObjects_Width
; .byt 
;BackgroundObjects_Height
;BackgroundObjects_UltimateFrame
;BackgroundObjects_Behaviour


SwivSpriteYOffset
 .byt 0,1,24,25,48,49,72,73,96,97,120,121,144,145,168,169,192,193,216,217,240,241
 
SpriteSwiv_BitmapGraphicAddressLo
 .byt <SpriteSwiv_Bitmap_Frame0
 .byt <SpriteSwiv_Bitmap_Frame1
 .byt <SpriteSwiv_Bitmap_Frame2
 .byt <SpriteSwiv_Bitmap_Frame3
SpriteSwiv_BitmapGraphicAddressHi
 .byt >SpriteSwiv_Bitmap_Frame0
 .byt >SpriteSwiv_Bitmap_Frame1
 .byt >SpriteSwiv_Bitmap_Frame2
 .byt >SpriteSwiv_Bitmap_Frame3
SpriteSwiv_MaskGraphicAddressLo
 .byt <SpriteSwiv_Mask_Frame0
 .byt <SpriteSwiv_Mask_Frame1
 .byt <SpriteSwiv_Mask_Frame2
 .byt <SpriteSwiv_Mask_Frame3
SpriteSwiv_MaskGraphicAddressHi
 .byt >SpriteSwiv_Mask_Frame0
 .byt >SpriteSwiv_Mask_Frame1
 .byt >SpriteSwiv_Mask_Frame2
 .byt >SpriteSwiv_Mask_Frame3


SpriteSwiv_Bitmap_Frame0
 .byt $41,$70
 .byt $43,$78
 .byt $43,$70
 .byt $42,$60
 .byt $47,$64
 .byt $47,$5C
 .byt $44,$74
 .byt $40,$70
 .byt $41,$70
 .byt $40,$60
 .byt $43,$78
SpriteSwiv_Bitmap_Frame1
 .byt $41,$70
 .byt $43,$78
 .byt $43,$78
 .byt $42,$68
 .byt $43,$78
 .byt $40,$40
 .byt $41,$70
 .byt $41,$70
 .byt $41,$70
 .byt $40,$60
 .byt $43,$78
SpriteSwiv_Bitmap_Frame2
 .byt $45,$70
 .byt $43,$78
 .byt $41,$78
 .byt $40,$68
 .byt $44,$7C
 .byt $47,$5C
 .byt $45,$60
 .byt $41,$60
 .byt $41,$60
 .byt $40,$60
 .byt $43,$78
SpriteSwiv_Bitmap_Frame3
 .byt $40,$40
 .byt $42,$48
 .byt $42,$48
 .byt $42,$48
 .byt $46,$4C
 .byt $47,$5C
 .byt $44,$44
 .byt $40,$40
 .byt $40,$40
 .byt $40,$40
 .byt $42,$48

SpriteSwiv_Mask_Frame0
 .byt $7C+$80,$40+$80
 .byt $78+$80,$40+$80
 .byt $78+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$47+$80
 .byt $60+$80,$43+$80
 .byt $60+$80,$41+$80
SpriteSwiv_Mask_Frame1
 .byt $7C+$80,$47+$80
 .byt $78+$80,$43+$80
 .byt $78+$80,$43+$80
 .byt $78+$80,$43+$80
 .byt $40+$80,$40+$80
 .byt $40+$80,$40+$80
 .byt $40+$80,$40+$80
 .byt $7C+$80,$47+$80
 .byt $7C+$80,$47+$80
 .byt $78+$80,$43+$80
 .byt $70+$80,$41+$80
SpriteSwiv_Mask_Frame2
 .byt $44+$80,$47+$80
 .byt $40+$80,$43+$80
 .byt $40+$80,$43+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $7C+$80,$40+$80
 .byt $78+$80,$40+$80
 .byt $70+$80,$40+$80
SpriteSwiv_Mask_Frame3
 .byt $7C+$80,$47+$80
 .byt $78+$80,$43+$80
 .byt $78+$80,$43+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $70+$80,$41+$80
 .byt $7C+$80,$47+$80
 .byt $78+$80,$43+$80
 .byt $70+$80,$41+$80
